<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form>
                            <h4 class="text-center">Available Days <small style="display: block;">Select Available Days</small></h4>
                            <div class="avl-chkbox">
                                <ul>
                                    <li>
                                        <label>
                                            <span>Mon</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Monday', monday)" value="Monday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #monday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Tue</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Tuesday', tuesday)" value="Tuesday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #tuesday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Wed</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Wednesday', wednesday)" value="Wednesday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #wednesday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Thu</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Thursday', thursday)" value="Thursday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #thursday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Fri</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Friday', friday)" value="Friday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #friday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Sat</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Saturday', saturday)" value="Saturday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #saturday>
                                        </label>
                                    </li>
                                    <li>
                                        <label>
                                            <span>Sun</span>
                                            <input type="radio" (change)="selectDay($event,  shiftModal, 'Sunday', sunday)" value="Sunday" [(ngModel)]="selectedDay" name="availabilityDays" [ngModelOptions]="{standalone: true}" #sunday>
                                        </label>
                                    </li>
                                </ul>
                            </div>
                            <div class="day-input">
                                <h4>{{selectedDay}}</h4>
                                <ul>
                                  <li *ngFor="let shift of shiftList">
                                    <label>
                                      <input type="checkbox" (change)="selectShiftTime($event, shift)" [(ngModel)]="shift.checked" [ngModelOptions]="{standalone: true}">
                                      <span *ngIf = "shift.starttime != 24.00 && shift.endTime != 24.00 && shift.starttime != 6.00 && shift.endTime != 6.00">{{shift.slotName}}: {{shift.starttime.replace(".",":")}}-{{shift.endTime.replace(".",":")}}</span>
                                      <span *ngIf = "shift.endTime == 24.00 ">{{shift.slotName}}: {{shift.starttime.replace(".",":")}}-{{endTime.replace(".",":")}}</span>
                                      <span *ngIf = "shift.starttime == 24.00 && shift.endTime == 6.00">{{shift.slotName}}: {{starttime.replace(".",":")}}-{{endsixHour.replace(".",":")}}</span>
                                      <span *ngIf = "shift.endTime == 12.00 && shift.starttime == 6.00">{{shift.slotName}}: {{startsixHour.replace(".",":")}}-{{shift.endTime.replace(".",":")}}</span>

                                    </label>
                                  </li>
                                </ul>
                            </div>
  


                            <div class="avl-result" >
                                <ul *ngFor="let list of filterAvailablity(allSelectedTimeSlots);let i = index;">
                                <!-- <ul *ngFor="let list of availabilityList;let i = index;"> -->
                                    <ng-container *ngFor="let item of list.timeSlotDetails">
                                    <li  *ngIf = "item.starttime != 24.00 && item.endTime != 24.00 && item.starttime != 6.00 && item.endTime != 6.00 ">
                                       
                                        {{list.day}}:( {{item.slotName}} ) {{item.starttime.replace(".",":")}}-{{item.endTime.replace(".",":")}}
                                   
                                       
                                        <a href="javascript:void(0)" (click)="deleteShift(item,list)" ><i class="far fa-times-circle"></i></a>
                                   

                                    </li>
                                    <li   *ngIf = "item.endTime == 24.00 " >
                                        
                                        {{list.day}}:( {{item.slotName}} ) {{item.starttime.replace(".",":")}}-{{endTime.replace(".",":")}}
                                   
                                       
                                        <a href="javascript:void(0)" (click)="deleteShift(item,list)" ><i class="far fa-times-circle"></i></a>
                  
                                    
                                    </li>
                                    <li   *ngIf = "item.endTime == 12.00 && item.starttime == 6.00 " >
                                        
                                            {{list.day}}:( {{item.slotName}} ) {{startsixHour.replace(".",":")}}-{{item.endTime.replace(".",":")}}
                                       
                                           
                                            <a href="javascript:void(0)" (click)="deleteShift(item,list)" ><i class="far fa-times-circle"></i></a>
                      
                                        
                                        </li>
                                    <li  *ngIf = "item.starttime == 24.00 && item.endTime == 6.00">
                                       
                                        {{list.day}}:( {{item.slotName}} ) {{starttime.replace(".",":")}}-{{endsixHour.replace(".",":")}}
                                   
                                       
                                        <a href="javascript:void(0)" (click)="deleteShift(item,list)" ><i class="far fa-times-circle"></i></a>
                                   

                                    </li>
                                </ng-container>
                                    <!-- <li>Monday: Afternoon(12:00-17:00)<a href="#"><i class="far fa-times-circle"></i></a></li> -->
                                </ul>
                            </div>
                            <!-- <ng-container>
                                    <ng-container  > -->

                            <div class="lang-btm"  >
                              
                                <table class="table table-bordered language-table">
                                    <tbody >
                                        <tr>
                                            <th>Days</th>
                                            <th>Morning</th>
                                            <th>Afternoon</th>
                                            <th>Evening</th>
                                            <th>Night</th>
                                          
                                        </tr>
                                        <tr *ngFor ="let list of timeSlottable" >
                                            <td style="text-align:left;"><strong>{{list.day}}</strong></td>
                                            <td *ngFor ="let item of list.Timeslot"><span *ngIf="item.slotValue"><i class="fa fa-check" aria-hidden="true" ></i></span>
                                                <span *ngIf="!item.slotValue"><i class="fa fa-times" aria-hidden="true"></i></span>
                                            </td>
                                            <!-- <td><i class="fa fa-check" aria-hidden="true"></i>
                                            </td>
                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                            </td>
                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                            </td> -->
                                        </tr>
                                        <!-- <tr >
                                                <td style="text-align:left;"><strong>Mon</strong></td>
                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                </td>
                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                </td>
                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                </td>
                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                </td>
                                            </tr>
                                            <tr >
                                                    <td style="text-align:left;"><strong>tue</strong></td>
                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                    </td>
                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                    </td>
                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                    </td>
                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                    </td>
                                                </tr>
                                                <tr >
                                                        <td style="text-align:left;"><strong>Wed</strong></td>
                                                        <td><i class="fa fa-check" aria-hidden="true"></i>
                                                        </td>
                                                        <td><i class="fa fa-check" aria-hidden="true"></i>
                                                        </td>
                                                        <td><i class="fa fa-check" aria-hidden="true"></i>
                                                        </td>
                                                        <td><i class="fa fa-check" aria-hidden="true"></i>
                                                        </td>
                                                    </tr>
                                                    <tr >
                                                            <td style="text-align:left;"><strong>Thu</strong></td>
                                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                                            </td>
                                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                                            </td>
                                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                                            </td>
                                                            <td><i class="fa fa-check" aria-hidden="true"></i>
                                                            </td>
                                                        </tr>
                                                        <tr >
                                                                <td style="text-align:left;"><strong>Fri</strong></td>
                                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                </td>
                                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                </td>
                                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                </td>
                                                                <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                </td>
                                                            </tr>
                                                            <tr >
                                                                    <td style="text-align:left;"><strong>Sat</strong></td>
                                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                    </td>
                                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                    </td>
                                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                    </td>
                                                                    <td><i class="fa fa-check" aria-hidden="true"></i>
                                                                    </td>
                                                                </tr>
                                    </tbody>
                                </table>
                          
                            </div>
                        </ng-container>
                            </ng-container> -->

                            <!-- <div class="form-group text-center"> -->
                                <!-- <input type="submit" [disabled]="!availabilityList.length" (click)="saveAvailability()" value="Save" class="btn"> -->
                                <!-- <input type="submit" (click)="saveAvailability()" value="Save" class="btn">
                            </div> -->
                        </tbody>
                    </table>
                            </div>
                            <h4 class="text-center">Days Off</h4>

                        </form>
                        <div class="switch-top">
                                <span>Multiple Days</span>
                                <mat-slide-toggle (change)="sliderOption($event)" [checked]="checked">
                                </mat-slide-toggle>
                                <span>Date Range</span>
                            </div>
                            <div class="calndr-cont" *ngIf="checked">
                                <div class="calendar-box">
                                    <input type="text" placeholder="Select Start Date and End Date" class="form-control"
                                        [formControl]="dateRangeControl" bsDaterangepicker 
                                        [minDate]="endMaxDate" [bsConfig]="bsConfigs" style > 
    
                                    <!-- Error Messages    [maxDate]="endMaxDate"-->
                                    <span class="t-red" *ngFor="let validation of errors.dateRangeControl">
                                        <span
                                            *ngIf="dateRangeControl.hasError(validation.type) && (dateRangeControl.dirty || dateRangeControl.touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </div>
                            </div>
    
                            <form>
                                <div class="calndr-cont">
                                    <!-- <div class="form-group">
                                        <div class="row">
                                            <div class="col-4"><label>Start Date</label></div>
                                            <div class="col-8">
                                                <input type="text" class="form-control date-select" placeholder="Start Date"
                                                    formControlName="startDate" bsDatepicker readonly
                                                    [minDate]="endMaxDate" [bsConfig]="bsConfig">
    
                                              
                                                <span class="t-red" *ngFor="let validation of errors.startDate">
                                                    <span
                                                        *ngIf="daysOffForm.get('startDate').hasError(validation.type) && (daysOffForm.get('startDate').dirty || daysOffForm.get('startDate').touched)">
                                                        {{validation.message}}
                                                    </span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-4"><label>End Date</label></div>
                                            <div class="col-8">
                                                <input type="text" class="form-control date-select" placeholder="End Date"
                                                    formControlName="endDate" bsDatepicker (click)="selectEndDate()"
                                                    [isDisabled]="!isStartDateSelected" readonly
                                                     [bsConfig]="bsConfig" [maxDate]="endMinDate" [minDate] = "endMinDate">
    
                                           
                                                <span class="t-red" *ngFor="let validation of errors.endDate">
                                                    <span
                                                        *ngIf="daysOffForm.get('endDate').hasError(validation.type) && (daysOffForm.get('endDate').dirty)">
                                                        {{validation.message}}
                                                    </span>
                                                </span>
                                            </div>
                                        </div>
                                    </div> -->
                                    <div class="form-group" *ngIf="!checked">
                                            <div class="row">
                                                
                                                <div class="col-12" id="calender">
        
        
                                                    <bs-datepicker-inline  [bsValue]="bsInlineValue" [datesDisabled]="datesDisabled"  [minDate]="endMaxDate" (bsValueChange)="onValueChange($event)" [bsConfig]="bsConfig"></bs-datepicker-inline>
                                                    <!-- Error Messages -->
        
                                                </div>
                                                <div class="col-12"><label>Selected Date</label>
                                                    <div class="avl-result date-tags">
                                                            
                                                                <span *ngFor="let validation of randomDates;let i = index">
                                                                    <span> {{validation  |date: 'dd/MM/yyyy' }}</span>
                                                                    <span>
                                                                    
                                                                        <a href="javascript:void(0)" (click)="removeDate(i)"> <i
                                                                                class="far fa-times-circle"></i> </a>
                                                                    </span>
                                                                </span>
                                                            
                                                        </div>
                                                </div>
                                            </div>
                                        </div>
                                </div>
                            </form>
    
                            <div class="avl-result time" *ngIf="daysOffList.length">
                                <h4 class="text-center">Select Dates</h4>
                                <ul>
                                    <li *ngFor="let days of daysOffList; let i = index;" >
                                        <p *ngIf="days.startDate != days.endDate"> {{days.startDate| date: 'dd/MM/yyyy' }} - {{days.endDate | date: 'dd/MM/yyyy'}} </p>
                                        <p *ngIf="days.startDate == days.endDate"> {{days.startDate| date: 'dd/MM/yyyy' }} </p>

                                        <span>
                                            <!-- <a href="javascript:void(0)" (click)="editDays(i)"> <i> <img
                                                src="assets/images/ic-edit-action.png" alt=""></i></a> -->
                                            <a href="javascript:void(0)" (click)="deleteDaysOff(days,i)"> <i
                                                    class="far fa-times-circle"></i> </a>
                                        </span>
                                        
                                                
                                    </li>
                                </ul>
                            </div>
    
                            <div class="form-group text-center">
                                <input  type="submit" (click)="saveDaysOff()" value="Submit" class="btn">
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<ng-template #shiftModal >
    <div class="modal-header">
        <h4 class="modal-title pull-left">{{selectedDay}}</h4>
        <button type="button" class="close pull-right" aria-label="Close"
            (click)="modalRef.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="day-input">
            <ul>
                <li *ngFor="let shift of shiftList">
                    <label>
                        <input type="checkbox" (change)="selectShiftTime($event, shift)" >
                        <span>{{shift.slotName}}:
                            {{shift.starttime}}-{{shift.endTime}}</span>
                    </label>
                </li>
            </ul>
        </div>
        <!-- <input type="submit" [disabled]="!selectedShiftTiming.length" (click)="saveShiftTime()" value="Save" class="btn"> -->
        <input type="submit" (click)="modalRef.hide()" value="Done" class="btn">
    </div>
</ng-template>
